<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<?xml-stylesheet type="text/xsl" href="http://www.eclipse.org/projects/project-plan.xsl"?>
<plan plan-format="1.0" xmlns="http://www.eclipse.org/project/plan"
	xmlns:html="http://www.w3.org/1999/xhtml" name="Graphiti">
	<release projectid="modeling.gmp.graphiti" version="0.9.0" />
	<introduction>
		<html:div>
			<html:p>
				This document lays out the development progress for the Juno
				version of Graphiti. The Graphiti release number will be 0.9.0
				with
				an option to leave incubation and target for the final version
				number 1.0.0.
			</html:p>
		</html:div>
	</introduction>
	<release_deliverables>
		<html:div>
			<html:p>
				The release deliverables consist of the following items:
				<html:ul>
					<html:li>Graphiti runtime binary distribution (ZIP file download
						and update site).</html:li>
					<html:li>Graphiti SDK/SDK+ (includes runtime, sources, examples and
						documentation) (available as ZIP file download and update site).
						The SDK+ feature extends the Graphiti framework SDK with the
						optional SVG export and will contain more add-ons in the future.
					</html:li>
					<html:li>Graphiti tests (no download, executed in central Hudson
						build)</html:li>
				</html:ul>
			</html:p>
		</html:div>
	</release_deliverables>
	<release_milestones>
		<preamble>
			<html:div>
				<html:p>
					Graphiti will continue to be part of the Juno release train
					at
					Eclipse.org. It will contain the framework, the examples and the
					tests. Graphiti has joined the release train within the Indigo M4
					milestone.
				</html:p>
			</html:div>
		</preamble>
		<milestone date="19/08/2011" milestone="M1">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=M1;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="30/09/2011" milestone="M2">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=M2;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="11/11/2011" milestone="M3">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=M3;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="16/12/2011" milestone="M4">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=M4;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="03/02/2012" milestone="M5">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=M5;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="16/03/2012" milestone="M6">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=M6;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="11/05/2012" milestone="M7">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=M7;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="25/05/2012" milestone="RC1">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=RC1;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="01/06/2012" milestone="RC2">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=RC2;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="08/06/2012" milestone="RC3">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=RC3;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="15/06/2012" milestone="RC4">
			<html:a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?status_whiteboard_type=allwordssubstr;query_format=advanced;field0-0-0=flagtypes.name;status_whiteboard=RC4;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;classification=Modeling;product=GMP">
				bugzillas
	      	</html:a>
		</milestone>
		<milestone date="27/06/2012" milestone="0.9.0">
			<html:div>
				<html:p>
					For the Juno release of Graphiti we plan to work on these
					<html:a
						href="https://bugs.eclipse.org/bugs/buglist.cgi?negate1=1;type1-0-0=anywords;field0-0-0=flagtypes.name;classification=Modeling;query_format=advanced;value1-0-0=M1%20M2%20M3%20M4%20M5%20M6%20M7%20RC1%20RC2%20RC3%20RC4;type0-0-0=equals;value0-0-0=juno%2B;component=Graphiti;field1-0-0=status_whiteboard;product=GMP">
						bugzillas
			      	</html:a>
					. In contrast to the ones above assigned to a specific milestone,
					the ones listed here are not yet assigned to a special milestone,
					since we develop in Scrum mode and plan only one sprint ahead; it
					is not possible before actually starting a sprint to tell which
					development topic will be in which milestone.
				</html:p>
			</html:div>
		</milestone>
	</release_milestones>
	<target_environments>
		<html:div>
			<html:p>
				Graphiti will support the same platforms as the Eclipse
				Platform
				project. For a list of platforms supported in Juno, see
				<html:a href="">Eclipse Target Operating Environments</html:a>
				. The Graphiti project depends upon the Platform and
				other projects,
				which are mostly "pure" Java. The Juno release of
				the Graphiti
				Project is written and compiled against version 1.5 of
				the Java
				Platform APIs, and targeted to run on version 1.5 of the
				Java Runtime
				Environment, Standard Edition. Graphiti will be tested
				and validated
				against a subset of those listed for the platform. The
				Juno version
				of Graphiti will run against Eclipse 3.7 (Indigo),
				Eclipse 3.8 (Juno
				fallback) and Eclipse 4.2 (Juno).
			</html:p>
		</html:div>
		<internationalization>
			<html:div>
				<html:p>
					The Graphiti framework only has a limited number of UI
					strings and dialogs, all texts come by default in English only, no
					language packs will be offered. The Graphiti framework and examples
					use Java resource bundles for storing texts and provide full
					internationalization support. Graphiti takes part in the Eclipse
					Babel translation process; translation packs can be downloaded from
					there.
				</html:p>
			</html:div>
		</internationalization>
	</target_environments>
	<compatibility_with_previous_releases>
		<html:div>
			<html:p>
				Graphiti is still in the incubation phase and might stay with
				its Juno release, but we are still seeing an option to leave
				incubation. There will be some API incompatibilities with the
				previous incubation release 0.8.0 to accomodate a round-off of the
				API. A list of those will be provided with the release review
				docuware. Workspaces and diagrams that were created with older
				versions of Graphiti will be compatible with the new Graphiti
				version provided with Juno, meaning they still can be read and
				modified.
			</html:p>
		</html:div>
	</compatibility_with_previous_releases>
	<themes_and_priorities>
		<preamble>
			<html:div>
				<html:p>
					In the Juno release of Graphiti the main focus is on
					improving the APIs, functional round-offs and improving the ease of
					use in standard scenarios. Some smaller enhancements are also
					planned.
				</html:p>
			</html:div>
		</preamble>
		<theme name="Make Graphiti fit for leaving incubation">
			<description>
				<html:div>
					<html:p>
						Fulfill the Eclipse requirements for being part of the Juno
						release train and for leaving incubation (still open if that will
						happen within the Juno timeframe or beyond). Also some
						infrastructure related topics are planned like migrating to Git as
						source code repository.
					</html:p>
				</html:div>
			</description>
		</theme>
		<theme name="Round-Offs and ease of use">
			<description>
				<html:div>
					<html:p>
						Fix inconsistent behavior in the framework and fill gaps in
						the functionality to make the framework easier to use.
					</html:p>
				</html:div>
			</description>
		</theme>
		<theme name="Functional enhancements">
			<description>
				<html:div>
					<html:p>
						Many small functional enhancements that were requested by
						the community in or after the Indigo timeframe will be
						implemented.
					</html:p>
				</html:div>
			</description>
		</theme>
		<theme name="Support for Eclipse 3.8 workbench">
			<description>
				<html:div>
					<html:p>
						Graphiti will support 3.8 and 4.2 equally, all the functionality will be the same.
					</html:p>
				</html:div>
			</description>
		</theme>
	</themes_and_priorities>
	<appendix name="Legal Notices">
		<html:div>
			<html:p>
				<html:ul>
					<html:li>
						Java is a trademark or a registered trademark of Sun
						Microsystems, Inc.
					</html:li>
					<html:li>
						All other products or company names are mentioned for
						identification purposes only, and may be trademarks or service
						marks of their respective owners.
					</html:li>
				</html:ul>
			</html:p>
		</html:div>
	</appendix>
</plan>
